using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class Admin_Default : System.Web.UI.Page
{
    ClsToGetFullProductDetails obj = new ClsToGetFullProductDetails();

    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["customerId"] == null)
        {
            Response.Redirect("~/Admin/frmAdminLogin.aspx");
        }
        calldata();
    }

    public void calldata()
    {
        try
        {
            Panel1.Visible = true;
            SqlDataReader dr;
            dr = obj.ToGetNumberOfOrder();
            LinkButton1.Text = "Click Here to See New Orders  " + dr[0].ToString();        
        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }

    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        try
        {
            DataSet ds = new DataSet();
            Panel2.Visible = true;
            ds = obj.ToUpdateFlagId();
            GridView1.DataSource = ds.Tables[0];
            GridView1.DataBind();
            Panel1.Visible = false;
        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }

    protected void LinkButton2_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/admin/Product.aspx");
    }
    protected void GridView1_RowCancelingEdit(object sender, GridViewCancelEditEventArgs e)
    {
        try
        {
            GridView1.EditIndex = -1;
            BindData();
        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }
    protected void GridView1_RowEditing(object sender, GridViewEditEventArgs e)
    {
        try
        {
            GridView1.EditIndex = e.NewEditIndex;
            BindData();
        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        try
        {
            int i = e.RowIndex;
            Label lblOrderId, lblCustomerId, lblCustomerName, lblProductId, lblProductName, lblCompanyName, lblUnits, lblMessage, lblOrderDate;
            lblOrderId = (Label)GridView1.Rows[i].FindControl("lblOrderId");
            lblCustomerId = (Label)GridView1.Rows[i].FindControl("lblCustomerId");
            lblCustomerName = (Label)GridView1.Rows[i].FindControl("lblCustomerName");
            lblProductId = (Label)GridView1.Rows[i].FindControl("lblProductId");
            lblProductName = (Label)GridView1.Rows[i].FindControl("lblProductName");
            lblCompanyName = (Label)GridView1.Rows[i].FindControl("lblCompanyName");
            lblUnits = (Label)GridView1.Rows[i].FindControl("lblUnits");
            lblMessage = (Label)GridView1.Rows[i].FindControl("lblMessage");
            lblOrderDate = (Label)GridView1.Rows[i].FindControl("lblOrderDate");

            Session["OrderId"] = lblOrderId.Text;
            Session["CustomerId"] = lblCustomerId.Text;
            Session["lblCustomerName"] = lblCustomerName.Text;
            Session["ProductId"] = lblProductId.Text;
            Session["ProductName"] = lblProductName.Text;
            Session["CompanyName"] = lblCompanyName.Text;
            Session["Units"] = lblUnits.Text;
            Session["Message"] = lblMessage.Text;
            Session["OrderDate"] = lblOrderDate.Text;
            Response.Redirect("~/admin/frmInvoice.aspx");

        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }
    public void BindData()
    {
        try
        {
            DataSet ds = new DataSet();
            ds = obj.ToUpdateFlagId();
            GridView1.DataSource = ds.Tables[0];
            GridView1.DataBind();
        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }
}
