using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmCustomerSearch : System.Web.UI.Page
{
    clsNewRegistration regis = new clsNewRegistration();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            txtId.Visible = false;
            btnSearch.Visible = false;
        }

    }
   
    protected void rad1_CheckedChanged(object sender, EventArgs e)
    {
        txtId.Visible = true;
        btnSearch.Visible = true;
        txtId.Text = "";
        DetailsView1.Visible = false;
        lblMsg.Text = "";
    }
    protected void rad2_CheckedChanged(object sender, EventArgs e)
    {
        txtId.Visible = true;
        btnSearch.Visible = true;
        txtId.Text = "";
        DetailsView1.Visible = false;
        lblMsg.Text = "";
    }

    protected void btnSearch_Click(object sender, EventArgs e)
    {
        try
        {
            if (rad1.Checked)
            {
                DataSet ds = new DataSet();
                regis.Personalid = int.Parse(txtId.Text.Trim());
                ds = regis.ShowPersonalDetialBYID();
                if (ds.Tables[0].Rows.Count < 1)
                {
                    lblMsg.Text = "No Value Exists Plz Check the Entered Values...!";
                    DetailsView1.Visible = false;
                    return;

                }
                else
                {
                    lblMsg.Text = "";
                    DetailsView1.Visible = true;
                    DetailsView1.DataSource = ds.Tables[0];
                    DetailsView1.DataBind();

                }
            }
            else if (rad2.Checked)
            {
                DataSet ds = new DataSet();
                regis.Firstname = txtId.Text.Trim();
                ds = regis.ShowPersonalDetialBYName();
                if (ds.Tables[0].Rows.Count < 1)
                {
                    lblMsg.Text = "No Value Exists Plz Check the Entered Values...!";
                    DetailsView1.Visible = false;
                    return;

                }
                else
                {
                    lblMsg.Text = "";
                    DetailsView1.Visible = true;
                    DetailsView1.DataSource = ds.Tables[0];
                    DetailsView1.DataBind();

                }
            }


        }
        catch (Exception)
        {

            throw;
        }
    }
    protected void btnDelete_Click(object sender, EventArgs e)
    {
        try
        {
            if (rad1.Checked)
            {
               
                regis.Personalid = int.Parse(txtId.Text.Trim());
                regis.DeletePersonalDetialById();
                lblMsg.Text = "Deleted...!";
                DetailsView1.Visible = false;
            }
            else if (rad2.Checked)
            {
               
                regis.Firstname = txtId.Text.Trim();
                regis.DeletePersonalDetialByName();
                lblMsg.Text = "Deleted...!";
                DetailsView1.Visible = false;
            }


        }
        catch (Exception)
        {

            throw;
        }
    }
}
