using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Web.Mail;

public partial class admin_frmInvoice : System.Web.UI.Page
{
    ClsInvoiceBusiness obj = new ClsInvoiceBusiness();
    MailMessage msg = new MailMessage();
    ClsGetProductDetails product = new ClsGetProductDetails();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["customerId"] == null)
        {
            Response.Redirect("~/Admin/frmAdminLogin.aspx");
        }        
        if (!IsPostBack)
        {
            BindData();
        }
        calldata();
    }

    void BindData()
    {
        DataSet dsCountry = obj.BindDatainDDL();
        ddlSupplierName.DataSource = dsCountry.Tables[0];
        ddlSupplierName.DataTextField = "Name";
        ddlSupplierName.DataValueField = "SupplierId";
        ddlSupplierName.DataBind();
        ddlSupplierName.Items.Insert(0, "Select");
    }
    public void calldata()
    {
        try
        {
            TxtCompanyName.Text = Session["CompanyName"].ToString();
            TxtOrderId.Text = Session["OrderId"].ToString();
            TxtCustomerId.Text = Session["CustomerId"].ToString();
            TxtCustomerName.Text = Session["lblCustomerName"].ToString();
            TxtProductid.Text = Session["ProductId"].ToString();
            TxtProductName.Text = Session["ProductName"].ToString();
            TxtCompanyName.Text = Session["CompanyName"].ToString();
            TxtNoofUnits.Text = Session["Units"].ToString();
            DataSet ds=new DataSet();
            ds=product.Get_Cost_Discount(int.Parse(TxtProductid.Text));
            TxtPriceperUnit.Text=ds.Tables[0].Rows[0][0].ToString();
            TxtDiscountPrice.Text =ds.Tables[0].Rows[0][1].ToString();

            DataSet ds1 = new DataSet();
            clsOrderFormBusiClass order = new clsOrderFormBusiClass();
            ds1 =order.Show_No_Ofunit(int.Parse(TxtOrderId.Text));
            TxtNoofUnits.Text = ds1.Tables[0].Rows[0][0].ToString();
            
        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }

    protected void Btn_Submit_Click(object sender, EventArgs e)
    {
        try
        {
            obj.OrderId = Convert.ToInt16(TxtOrderId.Text);
            obj.CustomerId = Convert.ToInt16(TxtCustomerId.Text);
            obj.CustomerName = TxtCustomerName.Text;
            obj.SupplierName = ddlSupplierName.SelectedItem.Value;
            obj.ProductId = Convert.ToInt16(TxtProductid.Text);
            obj.ProductName = TxtProductName.Text;
            obj.CompanyName = TxtCompanyName.Text;
            obj.Units = Convert.ToInt16(TxtNoofUnits.Text);
            obj.PricePerUnit = Convert.ToDecimal(TxtPriceperUnit.Text);
            obj.Discount = Convert.ToDecimal(TxtDiscountPrice.Text);
            obj.TransportAmt = Convert.ToDecimal(txttransportcharges.Text);
            obj.Othercharges = Convert.ToDecimal(txt_otherchages.Text);
            obj.InvoiceDate = Convert.ToDateTime(GMDatePicker1.DateString);
            obj.InsertIntoInvoice();
            foreach (Control i in Page.Form.Controls)
            {
                if (i is TextBox)
                {
                    ((TextBox)i).Text = "";
                }
                //Lbl_InvoiceMessege.Visible = true;
            }
            string str = "<html><body>Dear Customer " + TxtCustomerName.Text + " Your Prdoucts Details are as followes:<br>" +
               "<br>OrderID:" + TxtOrderId.Text + "</br>" +
               "<br>CustomerID" + TxtCustomerId.Text + "</br>" +
               "<br>SupplierName:" + ddlSupplierName.SelectedItem.Value + "</br>" +
               "<br>ProductID:" + TxtProductid.Text + "</br>" +
               "<br>ProductName:" + TxtProductName.Text + "</br>" +
               "<br>CompanyName:" + TxtCompanyName.Text + "</br>" +
               "<br>Product Units:" + TxtNoofUnits.Text + "</br>" +
               "<br>Price Per Unit:" + TxtPriceperUnit.Text + "</br>" +
               "<Br>Discount Price:" + TxtDiscountPrice.Text + "</br>" +
               "<br>TransPortCharges:" + txttransportcharges.Text + "</br>" +
               "<br>MaterialCharges:" + txt_otherchages.Text + "</br>" +
               "<br>Invoice Date:" + GMDatePicker1.DateString + "</br>" +
               "Thankyour For Your Visit</body></html>";
            msg.To = "Test1@client.com";
            msg.From = "supp@hotmail.com";
            msg.Cc = "dd@client.com";
            msg.Subject = "Product Details";
            msg.BodyFormat = MailFormat.Html;
            msg.Body = str;
            SmtpMail.Send(msg);
            lblMessage.Text = "Product Information is save and send successfully through Email";
            //Lbl_InvoiceMessege.Text = "Product Information is save and send successfully through Email";
        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }
    protected void Btn_Reset_Click(object sender, EventArgs e)
    {
        try
        {
            TxtOrderId.Text = "";
            TxtCustomerId.Text = "";
            TxtCustomerName.Text = "";
            TxtProductid.Text = "";
            TxtProductName.Text = "";
            TxtCompanyName.Text = "";
            TxtNoofUnits.Text = "";
            TxtPriceperUnit.Text = "";
            TxtDiscountPrice.Text = "";
            txttransportcharges.Text = "";
            txt_otherchages.Text = "";
            
            //foreach (Control i in Page.Form.Controls)
            //{
            //    if (i is TextBox)
            //    {
            //        ((TextBox)i).Text = "";
            //    }
            //}
        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }
    protected void btnCalulate_Click(object sender, EventArgs e)
    {
        try
        {
            decimal fineprice, totalproductprice, discountpercent, noofunits, priceperunit, discount, transportcharge, materialexp, bothprice, finalamount;
            noofunits = decimal.Parse(TxtNoofUnits.Text);
            priceperunit = decimal.Parse(TxtPriceperUnit.Text);
            discount = decimal.Parse(TxtDiscountPrice.Text);
            discountpercent = (priceperunit) * (discount / 100);
            fineprice = priceperunit - discountpercent;
            totalproductprice = fineprice * noofunits;
            transportcharge = decimal.Parse(txttransportcharges.Text);
            materialexp = decimal.Parse(txt_otherchages.Text);
            bothprice = transportcharge + materialexp;
            finalamount = totalproductprice + bothprice;
            lblTotalPrice.Text = finalamount.ToString();
        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }
}
