using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using Microsoft.ApplicationBlocks.Data;

/// <summary>
/// Summary description for ClsShippingDetails
/// </summary>
public class ClsShippingDetails:clsConnection 
{
    private string  _VesselName, _NameOfPort, _FinalDestination, _PortOfDischarge;

    public string VesselName
    {
        get { return _VesselName; }
        set { _VesselName = value; }
    }

    public string NameOfPort
    {
        get { return _NameOfPort; }
        set { _NameOfPort = value; }
    }

    public string FinalDestination
    {
        get { return _FinalDestination; }
        set { _FinalDestination = value; }
    }
    public string PortOfDischarge
    {
        get { return _PortOfDischarge; }
        set { _PortOfDischarge = value; }
    }
    private int _ShipBillNo;

    public int ShipBillNo
    {
        get { return _ShipBillNo; }
        set { _ShipBillNo = value; }
    }
    
    private DateTime _ShipBillDate;

    public DateTime ShipBillDate
    {
        get { return _ShipBillDate; }
        set { _ShipBillDate = value; }
    }
   
    private DateTime _DateOfDispatch;

    public DateTime DateOfDispatch
    {
        get { return _DateOfDispatch; }
        set { _DateOfDispatch = value; }
    }
    private DateTime _DateOfArrival;

    public DateTime DateOfArrival
    {
        get { return _DateOfArrival; }
        set { _DateOfArrival = value; }
    }

    private int _custID;

    public int CustID
    {
        get { return _custID; }
        set { _custID = value; }
    }

    public void InsertIntoShipBillTbl()
    {
        SqlParameter[] p = new SqlParameter[8];
        //p[0] = new SqlParameter("@ShippingBillNo", this._ShipBillNo);
        //p[0].DbType = DbType.Int16;
        //p[0].Direction = ParameterDirection.Input;


        p[0] = new SqlParameter("@ShipBillDate",this._ShipBillDate);
        p[0].DbType = DbType.DateTime;
        p[0].Direction = ParameterDirection.Input;
        p[1] = new SqlParameter("@VesselName", this._VesselName);
        p[1].DbType = DbType.String;
        p[1].Direction = ParameterDirection.Input;
        p[2] = new SqlParameter("@NameOfPort",this._NameOfPort);
        p[2].DbType = DbType.String;
        p[2].Direction = ParameterDirection.Input;
        p[3] = new SqlParameter("@FinalDestination", this._FinalDestination);
        p[3].DbType = DbType.String;
        p[3].Direction = ParameterDirection.Input;
        p[4] = new SqlParameter("@PortOfDicharge",this._PortOfDischarge);
        p[4].DbType = DbType.String;
        p[4].Direction = ParameterDirection.Input;
        p[5] = new SqlParameter("@DateOfDispatch", this._DateOfDispatch);
        p[5].DbType = DbType.DateTime;
        p[5].Direction = ParameterDirection.Input;
        p[6] = new SqlParameter("@DateOfArrival",this._DateOfArrival);
        p[6].DbType = DbType.DateTime;
        p[6].Direction = ParameterDirection.Input;
        p[7] = new SqlParameter("@customerID", this._custID);
        p[7].DbType = DbType.Int16;
        p[7].Direction = ParameterDirection.Input;

        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_InsertIntoShippingBillDetails", p);
    
    }

    public void InsertIntoRoadBillTbl()
    {
        SqlParameter[] p = new SqlParameter[7];
        //p[0] = new SqlParameter("@ShippingBillNo", this._ShipBillNo);
        //p[0].DbType = DbType.Int16;
        //p[0].Direction = ParameterDirection.Input;
        
        p[0] = new SqlParameter("@ShipBillDate", this._ShipBillDate);
        p[0].DbType = DbType.DateTime;
        p[0].Direction = ParameterDirection.Input;
        p[1] = new SqlParameter("@Place", this._VesselName);
        p[1].DbType = DbType.String;
        p[1].Direction = ParameterDirection.Input;
        p[2] = new SqlParameter("@FinalDest", this._NameOfPort);
        p[2].DbType = DbType.String;
        p[2].Direction = ParameterDirection.Input;
        p[3] = new SqlParameter("@PlaceofDischarge", this._FinalDestination);
        p[3].DbType = DbType.String;
        p[3].Direction = ParameterDirection.Input;
        p[4] = new SqlParameter("@DateOfDispatch", this._DateOfDispatch);
        p[4].DbType = DbType.DateTime;
        p[4].Direction = ParameterDirection.Input;
        p[5] = new SqlParameter("@DateOfArrival", this._DateOfArrival);
        p[5].DbType = DbType.DateTime;
        p[5].Direction = ParameterDirection.Input;
        p[6] = new SqlParameter("@customerID", this._custID);
        p[6].DbType = DbType.Int16;
        p[6].Direction = ParameterDirection.Input;

        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_InsertIntoRoadBillDetails", p);
    }
	public ClsShippingDetails()
	{
		//
		// TODO: Add constructor logic here
		//
	}
}
