using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using Microsoft.ApplicationBlocks.Data;

/// <summary>
/// Summary description for clsAddNewProducts
/// </summary>
public class clsAddNewProducts : clsConnection
{
    private string _ProductName, _Cost, _Discount, _Image, _Company, _DateOfManufactur, _SupplierName,_Feature;
    private int _QOH, _Warranty;
    public string Feature
    {
        get { return _Feature; }
        set { _Feature = value; }
    }
    public int QOH
    {
        get { return _QOH; }
        set { _QOH = value; }
    }

    public int Warranty
    {
        get { return _Warranty; }
        set { _Warranty = value; }
    }
    public string SupplierName
    {
        get { return _SupplierName; }
        set { _SupplierName = value; }
    }

    public string ProductName
    {
        get { return _ProductName; }
        set { _ProductName = value; }
    }
    /*  public string ProductId
      {
          get { return _ProductId; }
          set { _ProductId = value; }
      }
     */
    public string Cost
    {
        get { return _Cost; }
        set { _Cost = value; }
    }
    public string Discount
    {
        get { return _Discount; }
        set { _Discount = value; }
    }
    public string Image
    {
        get { return _Image; }
        set { _Image = value; }
    }
    public string Company
    {
        get { return _Company; }
        set { _Company = value; }
    }
    public string DateOfManufactur
    {
        get { return _DateOfManufactur; }
        set { _DateOfManufactur = value; }
    }

    private int _ProductId;
    public int ProductId
    {
        get { return _ProductId; }
        set { _ProductId = value; }
    }
    public clsAddNewProducts()
    {
        //
        // TODO: Add constructor logic here
        //
    }
    public int InsertIntoProducts()
    {

        SqlParameter[] p = new SqlParameter[10];

        p[0] = new SqlParameter("@ProductName", this._ProductName);
        p[0].DbType = DbType.String;
        p[0].Direction = ParameterDirection.Input;

        p[1] = new SqlParameter("@Cost", this._Cost);
        p[1].DbType = DbType.Decimal;
        p[1].Direction = ParameterDirection.Input;

        p[2] = new SqlParameter("@Discount", this._Discount);
        p[2].DbType = DbType.String;
        p[2].Direction = ParameterDirection.Input;

        p[3] = new SqlParameter("@Image", this._Image);
        p[3].DbType = DbType.String;
        p[3].Direction = ParameterDirection.Input;

        p[4] = new SqlParameter("@Company", this._Company);
        p[4].DbType = DbType.String;
        p[4].Direction = ParameterDirection.Input;

        p[5] = new SqlParameter("@DateOfManufacture", this._DateOfManufactur);
        p[5].DbType = DbType.String;
        p[5].Direction = ParameterDirection.Input;

        p[6] = new SqlParameter("@SupplierName", this._SupplierName);
        p[6].DbType = DbType.String; 
        p[6].Direction = ParameterDirection.Input;

        p[7] = new SqlParameter("@QOH", this._QOH);
        p[7].DbType = DbType.Int16;
        p[7].Direction = ParameterDirection.Input;

        p[8] = new SqlParameter("@Feature", this._Feature);
        p[8].DbType = DbType.String;
        p[8].Direction = ParameterDirection.Input;

        p[9] = new SqlParameter("@Warranty", this._Warranty);
        p[9].DbType = DbType.Int16;
        p[9].Direction = ParameterDirection.Input;
        return Convert.ToInt16(SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "spInsertNewProductDetails", p));

    }
    public DataSet GetProductDetail(string SupplierName)
    {
        string str = "select ProductName,SupplierName,Cost,Image,ProductId from tblproducts where suppliername='" + SupplierName + "'";
        DataSet ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.Text, str);
        return ds;
    }
    public void DeleteProducts(int ProductId)
    {
        string str = "delete from tblproducts where productid=" + ProductId + "";
        SqlHelper.ExecuteNonQuery(con, CommandType.Text, str);
    
    }

    public DataSet GetProductDetailByID(int ProductId)
    {
        string str = "select *from  tblproducts where ProductId=" + ProductId + "";
        DataSet ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.Text, str);
        return ds;
    }

   public int UpdateProducts()
    {

        SqlParameter[] p = new SqlParameter[11];
        p[0] = new SqlParameter("@ProductId", this._ProductId);
        p[0].DbType = DbType.Int16;
        p[0].Direction = ParameterDirection.Input;

        p[1] = new SqlParameter("@ProductName", this._ProductName);
        p[1].DbType = DbType.String;
        p[1].Direction = ParameterDirection.Input;

        p[2] = new SqlParameter("@Cost", this._Cost);
        p[2].DbType = DbType.Decimal;
        p[2].Direction = ParameterDirection.Input;

        p[3] = new SqlParameter("@Discount", this._Discount);
        p[3].DbType = DbType.String;
        p[3].Direction = ParameterDirection.Input;

        p[4] = new SqlParameter("@Image", this._Image);
        p[4].DbType = DbType.String;
        p[4].Direction = ParameterDirection.Input;

        p[5] = new SqlParameter("@Company", this._Company);
        p[5].DbType = DbType.String;
        p[5].Direction = ParameterDirection.Input;

        p[6] = new SqlParameter("@DateOfManufacture", this._DateOfManufactur);
        p[6].DbType = DbType.String;
        p[6].Direction = ParameterDirection.Input;

        p[7] = new SqlParameter("@SupplierName", this._SupplierName);
        p[7].DbType = DbType.String;
        p[7].Direction = ParameterDirection.Input;

        p[8] = new SqlParameter("@QOH", this._QOH);
        p[8].DbType = DbType.Int16;
        p[8].Direction = ParameterDirection.Input;

        p[9] = new SqlParameter("@Feature", this._Feature);
        p[9].DbType = DbType.String;
        p[9].Direction = ParameterDirection.Input;

        p[10] = new SqlParameter("@Warranty", this._Warranty);
        p[10].DbType = DbType.Int16;
        p[10].Direction = ParameterDirection.Input;
        return Convert.ToInt16(SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "spUpdateProductDetails", p));

    }
}
