using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Microsoft.ApplicationBlocks.Data;
using System.Collections;
using System.Data.SqlClient;

/// <summary>
/// Summary description for OrderFormBusiClass
/// </summary>
public class clsOrderFormBusiClass : clsConnection
{
    private string _customerid;

    public string Customerid
    {
        get { return _customerid; }
        set { _customerid = value; }
    }

    private string _customername;

    public string Customername
    {
        get { return _customername; }
        set { _customername = value; }
    }
    private int _productid;
    private string _productname;
    private string _companyname;

    private int _quantity;

    private string _message;

    public string Message
    {
        get { return _message; }
        set { _message = value; }
    }
    private DateTime _orderdate;


    public int Productid
    {
        get { return _productid; }
        set { _productid = value; }
    }


    public string Productname
    {
        get { return _productname; }
        set { _productname = value; }
    }


    public string Companyname
    {
        get { return _companyname; }
        set { _companyname = value; }
    }

    public int Quantity
    {
        get { return _quantity; }
        set { _quantity = value; }
    }

    public DateTime Orderdate
    {
        get { return _orderdate; }
        set { _orderdate = value; }
    }

    public clsOrderFormBusiClass()
    {
        //
        // TODO: Add constructor logic here
        //
    }
    public void InsertIntoOrderFormTbl()
    {
        SqlParameter[] p = new SqlParameter[8];

        p[0] = new SqlParameter("@customerid", this._customerid);
        p[0].DbType = DbType.Int16;
        p[0].Direction = ParameterDirection.Input;

        p[1] = new SqlParameter("@customername", this._customername);
        p[1].DbType = DbType.String;
        p[1].Direction = ParameterDirection.Input;

        p[2] = new SqlParameter("@productid", this._productid);
        p[2].DbType = DbType.Int16;
        p[2].Direction = ParameterDirection.Input;

        p[3] = new SqlParameter("@productname", this._productname);
        p[3].DbType = DbType.String;
        p[3].Direction = ParameterDirection.Input;

        p[4] = new SqlParameter("@companyname", this._companyname);
        p[4].DbType = DbType.String;
        p[4].Direction = ParameterDirection.Input;


        p[5] = new SqlParameter("@units", this._quantity);
        p[5].DbType = DbType.Int16;
        p[5].Direction = ParameterDirection.Input;

        p[6] = new SqlParameter("@message", this._message);
        p[6].DbType = DbType.String;
        p[6].Direction = ParameterDirection.Input;

        p[7] = new SqlParameter("@orderdate", this._orderdate);
        p[7].DbType = DbType.DateTime;
        p[7].Direction = ParameterDirection.Input;

        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "sp_InsertOrderPageDetails", p);
    }

    public DataSet ShowReportByDate(DateTime date,DateTime date1)
    {
        string str = "select *from tblorder where OrderDate between '" + date + "' and  '" + date1 + "'";
        DataSet ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.Text, str);
        return ds;
    }
    public DataSet ShowQuantity(int ProdId)
    {
        DataSet ds = new DataSet();
        string str="select qoh from tblproducts where ProductId=" + ProdId + "";
        ds = SqlHelper.ExecuteDataset(con, CommandType.Text, str);
        return ds;
    }
    public void UpdateQuantity(int ProdId, int Qoh)
    {
        string str = "update tblproducts set qoh=" + Qoh + " where productid=" + ProdId + "";
        SqlHelper.ExecuteNonQuery(con, CommandType.Text, str);
    
    }
    public DataSet Show_No_Ofunit(int OrderId)
    {
        DataSet ds = new DataSet();
        string str = "select Units from tblorder where orderId=" + OrderId + "";
        ds = SqlHelper.ExecuteDataset(con, CommandType.Text, str);
        return ds;
    }
}
