using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using Microsoft.ApplicationBlocks.Data;

/// <summary>
/// Summary description for clsSupplierRegistration
/// </summary>
public class clsSupplierRegistration : clsConnection
{
    private string _username;

    public string Username
    {
        get { return _username; }
        set { _username = value; }
    }

    private string _Category;

    public string Category
    {
        get { return _Category; }
        set { _Category = value; }
    }

    private string _password;

    public string Password
    {
        get { return _password; }
        set { _password = value; }
    }
    private string _confirmpassword;

    public string Confirmpassword
    {
        get { return _confirmpassword; }
        set { _confirmpassword = value; }
    }
    private string _firstname;

    public string Firstname
    {
        get { return _firstname; }
        set { _firstname = value; }
    }
    private string _lastname;

    public string Lastname
    {
        get { return _lastname; }
        set { _lastname = value; }
    }
    private string _gender;

    public string Gender
    {
        get { return _gender; }
        set { _gender = value; }
    }
    private string _mobile;

    public string Mobile
    {
        get { return _mobile; }
        set { _mobile = value; }
    }


    private string _contactno;

    public string Contactno
    {
        get { return _contactno; }
        set { _contactno = value; }
    }
    private string _emailid;

    public string Emailid
    {
        get { return _emailid; }
        set { _emailid = value; }
    }
    private string _country;

    public string Country
    {
        get { return _country; }
        set { _country = value; }
    }
    private string _state;

    public string State
    {
        get { return _state; }
        set { _state = value; }
    }
    private string _city;

    public string City
    {
        get { return _city; }
        set { _city = value; }
    }
    private string _tempaddress;

    public string Tempaddress
    {
        get { return _tempaddress; }
        set { _tempaddress = value; }
    }
    private string _permaddress;

    public string Permaddress
    {
        get { return _permaddress; }
        set { _permaddress = value; }
    }
    private string _pincode;

    public string Pincode
    {
        get { return _pincode; }
        set { _pincode = value; }
    }
    private string _alteremailid;

    public string Alteremailid
    {
        get { return _alteremailid; }
        set { _alteremailid = value; }
    }
    private string _fax;

    public string Fax
    {
        get { return _fax; }
        set { _fax = value; }
    }
    private int _SupplierId;
    public int SupplierId
    {
        get { return _SupplierId; }
        set { _SupplierId = value; }
    }
    public void InsertIntoLoginTbl()
    {
        SqlParameter[] p = new SqlParameter[3];

        p[0] = new SqlParameter("@username", this._username);
        p[0].DbType = DbType.String;
        p[0].Direction = ParameterDirection.Input;

        p[1] = new SqlParameter("@password", this._password);
        p[1].DbType = DbType.String;
        p[1].Direction = ParameterDirection.Input;

        p[2] = new SqlParameter("@role", this._Category);
        p[2].DbType = DbType.String;
        p[2].Direction = ParameterDirection.Input;


        //p[3] = new SqlParameter("@Reconfirmpassword", this._confirmpassword);
        //p[3].DbType = DbType.String;
        //p[3].Direction = ParameterDirection.Input;


        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "sp_InsertIntoLoginTbl", p);

    }

    public void InsertIntoPersDetailsTbl()
    {

        SqlParameter[] p = new SqlParameter[6];

        p[0] = new SqlParameter("@firstname", this._firstname);
        p[0].DbType = DbType.String;
        p[0].Direction = ParameterDirection.Input;

        p[1] = new SqlParameter("@lastname", this._lastname);
        p[1].DbType = DbType.String;
        p[1].Direction = ParameterDirection.Input;

        p[2] = new SqlParameter("@gender", this._gender);
        p[2].DbType = DbType.String;
        p[2].Direction = ParameterDirection.Input;

        p[3] = new SqlParameter("@mobile", this._mobile);
        p[3].DbType = DbType.String;
        p[3].Direction = ParameterDirection.Input;

        p[4] = new SqlParameter("@contactno", this._contactno);
        p[4].DbType = DbType.String;
        p[4].Direction = ParameterDirection.Input;

        p[5] = new SqlParameter("@emailid", this._emailid);
        p[5].DbType = DbType.String;
        p[5].Direction = ParameterDirection.Input;


        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "sp_InsertIntoPersDetailsTbl", p);

    }
    public void InsertIntoAddressDetailsTbl()
    {
        SqlParameter[] p = new SqlParameter[6];

        p[0] = new SqlParameter("@country", this._country);
        p[0].DbType = DbType.String;
        p[0].Direction = ParameterDirection.Input;

        p[1] = new SqlParameter("@state", this._state);
        p[1].DbType = DbType.String;
        p[1].Direction = ParameterDirection.Input;

        p[2] = new SqlParameter("@city", this._city);
        p[2].DbType = DbType.String;
        p[2].Direction = ParameterDirection.Input;

        p[3] = new SqlParameter("@tempaddress", this._tempaddress);
        p[3].DbType = DbType.String;
        p[3].Direction = ParameterDirection.Input;

        p[4] = new SqlParameter("@permaddress", this._permaddress);
        p[4].DbType = DbType.String;
        p[4].Direction = ParameterDirection.Input;

        p[5] = new SqlParameter("@pincode ", this._pincode);
        p[5].DbType = DbType.Int64;
        p[5].Direction = ParameterDirection.Input;

        //p[6] = new SqlParameter("@alteremailid", this._alteremailid);
        //p[6].DbType = DbType.String;
        //p[6].Direction = ParameterDirection.Input;

        //p[7] = new SqlParameter("@faxno", this._fax);
        //p[7].DbType = DbType.Int64;
        //p[7].Direction = ParameterDirection.Input;

        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "sp_InsertIntoAddressDetailsTbl", p);
    }
    public clsSupplierRegistration()
    {
        //
        // TODO: Add constructor logic here
        //
    }
    public DataSet GetSupplierDetail()
    {
        DataSet ds = new DataSet();
        string str;
        str = "select *from tblSuppliers";
        ds = SqlHelper.ExecuteDataset(con, CommandType.Text, str);
        return ds;

    }

    public DataSet ShowSupplierDetailById(int Suppliers)
    {
        DataSet ds = new DataSet();
        string str;
        str = "select *from tblSuppliers where SupplierId=" + Suppliers + "" ;
        ds = SqlHelper.ExecuteDataset(con, CommandType.Text, str);
        return ds;

    }
    public DataSet ShowSupplierDetailByName(string Name)
    {
        DataSet ds = new DataSet();
        string str;
        str = "select *from tblSuppliers where Name='" + Name + "'";
        ds = SqlHelper.ExecuteDataset(con, CommandType.Text, str);
        return ds;

    }
    public void DeleteSupplierById(int Suppliers)
    {
        string str = "delete from tblsuppliers where SupplierId=" + Suppliers + "";
        SqlHelper.ExecuteNonQuery(con, CommandType.Text, str);
    }
    public void DeleteSupplierByName(string Name)
    {
        string str = "delete from tblsuppliers where Name='" + Name + "'";
        SqlHelper.ExecuteNonQuery(con, CommandType.Text, str);

    }

    public bool CheckSupplierOldPassword(string Username,string Password)
    {
        string str="select count(*) from tblUserLogin where username='" + Username + "' and password='" + Password + "' and role='Supplier'"; 
        int count;
        count =int.Parse(SqlHelper.ExecuteScalar(con, CommandType.Text,str).ToString());
       
        if (count > 0)
        {
            return true;
        }
        else
        {
            return false;
        }
    }
    public void ChangeSupplierPassword(string Uname, string Password)
    {
        string str = "update tblUserLogin set password='" + Password + "' where username='" + Uname + "' and role='Supplier'";
    SqlHelper.ExecuteNonQuery(con, CommandType.Text, str);
    }
}
