using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

/// <summary>
/// Summary description for DALayerClass
/// </summary>
public class DALClass
{
    private static SqlConnection cn;
    private static SqlCommand cmd;
    private static SqlDataAdapter da;
    private static SqlCommandBuilder cmdb;
    private static SqlDataReader dr;
    private static DataSet ds;

    public DALClass()
    {
        //
        // TODO: Add constructor logic here
        //
    }

    public static SqlDataReader ToGetFullDetailsOfProducts(string ConStr, string ProcName, SqlParameter[] param)
    {

        try
        {
            cn = new SqlConnection(ConStr);
            cn.Open();
            cmd = new SqlCommand(ProcName, cn);
            cmd.CommandType = CommandType.StoredProcedure;
            foreach (SqlParameter p in param)
            {
                if (p != null)
                {
                    cmd.Parameters.Add(p);
                }
            }
            dr = cmd.ExecuteReader();
            if (dr.Read())
            {
                return dr;
            }
            return dr;
            //cn.Close();           
        }
        catch (SqlException ex)
        {
            throw new ArgumentException(ex.Message);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }       
    }
    public static int getStringValue(string ConStr, string ProcName, SqlParameter[] param)
    {
        int x;
        cn = new SqlConnection(ConStr);
        cn.Open();
        cmd = new SqlCommand(ProcName, cn);
        cmd.CommandType = CommandType.StoredProcedure;
        try
        {
            foreach (SqlParameter p in param)
            {
                if (p != null)
                {
                    cmd.Parameters.Add(p);
                }
            }
            //strval = int.Parse(cmd.ExecuteReader());
            x = Convert.ToInt16(cmd.ExecuteScalar());
            return x;
        }
        catch (SqlException ex)
        {
            throw new ArgumentException(ex.Message);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
        finally
        {
            if (cn != null)
            {
                if (cn.State == ConnectionState.Open)
                {
                    cn.Close();
                }
            }
        }
    }
    public static SqlDataReader ToGetdatareadervalues(string ConStr, string ProcName)
    {
        try
        {
            cn = new SqlConnection(ConStr);
            cn.Open();
            cmd = new SqlCommand(ProcName, cn);
            cmd.CommandType = CommandType.StoredProcedure;
            dr = cmd.ExecuteReader();
            if (dr.Read())
            {
                return dr;
            }
            return dr;
            //cn.Close();
        }
        catch (SqlException ex)
        {
            throw new ArgumentException(ex.Message);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public static DataSet ToGetFlagValue(string ConStr, string ProcName)
    {
        try
        {
            cn = new SqlConnection(ConStr);
            cn.Open();
            da = new SqlDataAdapter();
            cmd = new SqlCommand(ProcName, cn);
            cmd.CommandType = CommandType.StoredProcedure;
            da.SelectCommand = cmd;
            DataSet ds = new DataSet();
            da.Fill(ds, "TblOrder");          
            return ds;
            //cn.Close();
        }
        catch (SqlException ex)
        {
            throw new ArgumentException(ex.Message);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
}

