using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class customer_ProductComplateDetails : System.Web.UI.Page
{
    ClsToGetFullProductDetails obj = new ClsToGetFullProductDetails();
    //ArrayList ar = new ArrayList();

    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["customerId"] == null)
        {
            Response.Redirect("~/Customer/frmCustomerLogin.aspx");
        }
        calldata();
        bindata();
      
    }
    void bindata()
    {
        lbl_productname.Text = Session["PName"].ToString();
        lbl_productid.Text = Session["PId"].ToString();
        lbl_CompanyName.Text = Session["PSName"].ToString();
        lbl_cost.Text  = Session["Cost"].ToString();
        lbl_Discount.Text  = Session["Discount"].ToString();
        Image1.ImageUrl = Session["Image"].ToString();
        lbl_Company.Text = Session["CName"].ToString();
        lbl_dateOfManufacture.Text  = Session["MDate"].ToString();

    }
    public void calldata()
    {
        try
        {
            obj.Productid = Convert.ToString(Request["ProductId"]);
            SqlDataReader dr;

            dr = obj.ToGetFullProductDetails();
            lbl_productname.Text = "Product Name :" + dr[0].ToString();
            lbl_productid.Text = "Product Id :" + dr[1].ToString();
            lbl_CompanyName.Text = "Company Name :" + dr[2].ToString();
            lbl_cost.Text = "Product Cost :" + dr[3].ToString();
            lbl_Discount.Text = "Discount in Percentage : " + dr[4].ToString();
            Image1.ImageUrl = Convert.ToString(dr[5]);
            lbl_Company.Text = "Company Name :" + dr[6].ToString();
            lbl_dateOfManufacture.Text = "Manufacturing Date :" + dr[7].ToString();

            Session["PName"] = dr[0].ToString();
            Session["PId"] = dr[1].ToString();
            Session["PSName"] = dr[2].ToString();
            Session["Cost"] = dr[3].ToString();
            Session["Discount"] = dr[4].ToString();
            Session["Image"] = dr[5].ToString();
            Session["CName"] = dr[6].ToString();
            Session["MDate"] = dr[7].ToString();

            //ar.Add(dr[0].ToString()); //product Name
            //ar.Add(dr[1].ToString()); //Product Id
            //ar.Add(dr[2].ToString()); //Supplier Name
            //ar.Add(dr[3].ToString()); //Cost
            //ar.Add(dr[4].ToString()); //Discount
            //ar.Add(dr[5].ToString()); //Image
            //ar.Add(dr[6].ToString()); //Company Name
            //ar.Add(dr[7].ToString()); //Manufacture Date
        }
        catch(Exception ex)
        {
            Label1.Text = ex.Message;
        }
    }
    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        try
        {
            ClsInvoiceBusiness invoice = new ClsInvoiceBusiness();
            if(invoice.GetOrderDetailForCustomer(int.Parse(Session["customerid"].ToString()),System.DateTime.Now.Date)==true)
            {
                Label1.Visible = true;
                Label1.Text = "U can't order again until your bill is not confirmed...";
                return;
               
	
            }
            else
            {
                Label1.Visible = true;
                Response.Redirect("~/customer/frmOrderPage.aspx"); 
           
         }
            //Session["ProDetails"] = ar.ToString();
           
        }
        catch (Exception ex)
        {
            Label1.Text = ex.Message;
        }
    }
}
