using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class customer_frmSearchProducts : System.Web.UI.Page
{
    ClsGetProductDetails clsget = new ClsGetProductDetails();
    //GridViewRow row = GridView1.SelectedRow;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["customerId"] == null)
        {
            Response.Redirect("~/Customer/frmCustomerLogin.aspx");
        }
        if (!IsPostBack)
        {
            calldata();
        }
    }
    public void calldata()
    {
        try
        {
            ddlProductList.DataSource = clsget.GetProductID();
            ddlProductList.DataTextField = "ProductName";
            ddlProductList.DataValueField = "ProductID";
            ddlProductList.DataBind();
            ddlProductList.Items.Insert(0, "---------Select---------");
            //row.Cells[5]  = null ;
        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }
    protected void btnGo_Click(object sender, EventArgs e)
    {
        try
        {
            GridView1.DataSource = clsget.GetProductDetailsByProductID(int.Parse(ddlProductList.SelectedValue.ToString()));
            GridView1.DataBind();
        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }
}
