using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Supplier_frmChangePassword : System.Web.UI.Page
{
    clsSupplierRegistration objsupplier = new clsSupplierRegistration();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["CustomerName"] == null)
        {
            Response.Redirect("~/Supplier/frmChangePassword.aspx");
        }
        if (!Page.IsPostBack)
        {

        }       
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        Page.Validate();
        if (Page.IsValid)
        {
           if (objsupplier.CheckSupplierOldPassword(Session["CustomerName"].ToString(),txtOldPassword.Text.Trim()) == true)
            {
                if (txtNewPassword.Text.Trim() == txtOldPassword.Text.Trim())
                {
                    lblError.Text = "New Password should not be same as Old Password";
                    lblError.Visible = true;
                    lblSuccess.Visible = false;
                }
                else
                {
                    objsupplier.ChangeSupplierPassword(Session["CustomerName"].ToString(),txtNewPassword.Text.Trim());
                    lblSuccess.Visible = true;
                    lblSuccess.Text = "Your Password has been changed successfully!";
                    lblError.Visible = false;
                }
            }
            else
            {
                lblError.Text = "Invalid Old Password";
                lblError.Visible = true;
                lblSuccess.Visible = false;
            }
        }
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/Supplier/frmSupplierHomePage.aspx");
    }
}
