using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmLogin : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Session["a"] = "Supplier";
        if (Session["a"] == null)
        {
            Response.Redirect("~/Supplier/frmSupplierLogin.aspx");
        }
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            //string desc;
            DataSet ds = new DataSet();
            clsLoginBusinessLayer obj = new clsLoginBusinessLayer();
            obj.Username = txtUserName.Text.Trim();
            obj.Password = txtPassword.Text.Trim();
            ds = obj.login();

            if (ds.Tables[0].Rows.Count > 0 && ds.Tables[0].Rows[0][3].ToString().ToLower() == "supplier")
            {
                Session["customerId"] = ds.Tables[0].Rows[0][2].ToString();
                Session["CustomerName"] = ds.Tables[0].Rows[0][0].ToString();
                FormsAuthentication.RedirectFromLoginPage("loginid", false);
                Response.Redirect("~/Supplier/frmSupplierHomePage.aspx");
            }
            else
                lblMessage.Text = "Invalid Username / Password";        
        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }
  
    protected void LinkButton2_Click(object sender, EventArgs e)
    {
        Session["a"] = "Supplier";
        Response.Redirect("~/frmSupplierRegistration.aspx");
    }
    protected void btn_newuser3_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/Default.aspx");
    }
}
