using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Customer_frmUpdateProducts : System.Web.UI.Page
{
    clsAddNewProducts product = new clsAddNewProducts();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["CustomerName"]  == null)
        {
            Response.Redirect("~/Supplier/frmSupplierLogin.aspx");
        }
        if (!IsPostBack)
        {
            Panel1.Visible = false;
            BindGridview();
        }
    }
    private void BindGridview()
    {
        GridView1.DataSource = product.GetProductDetail(Session["CustomerName"].ToString());
        GridView1.DataBind();
    
    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                btn = (Button)gr.FindControl("btndelete");
                product.DeleteProducts(int.Parse(btn.CommandArgument));
                lblMessage.Text = "Product Deleted...!";
                BindGridview();
            }
        }

        
    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                Panel1.Visible = true;
                btn = (Button)gr.FindControl("btnupdate");
                ViewState["Id"] = int.Parse(btn.CommandArgument);
                DataSet ds = new DataSet();
                ds = product.GetProductDetailByID(int.Parse(btn.CommandArgument));
                TxtProductName.Text = ds.Tables[0].Rows[0][0].ToString();
                TxtCost.Text = ds.Tables[0].Rows[0][3].ToString();
                TxtDiscount.Text = ds.Tables[0].Rows[0][4].ToString();
                Image1.ImageUrl = ds.Tables[0].Rows[0][5].ToString();
                TxtCompany.Text = ds.Tables[0].Rows[0][6].ToString();
                GMDatePicker1.Date =Convert.ToDateTime(ds.Tables[0].Rows[0][7].ToString());
                txtQoh.Text = ds.Tables[0].Rows[0][8].ToString();
                txtFeature.Text = ds.Tables[0].Rows[0][9].ToString();
                txtWaranty.Text = ds.Tables[0].Rows[0][10].ToString();
            }
        }
    }
    protected void BtnUpdate_Click(object sender, EventArgs e)
    {
        try
        {
           string  str1 = Session["CustomerName"].ToString();
            product.ProductId = int.Parse(ViewState["Id"].ToString());
            product.ProductName = TxtProductName.Text;
            product.Cost = Convert.ToString(TxtCost.Text);
            product.Discount = TxtDiscount.Text;
           string str = FileUploadImage.FileName;
            if (FileUploadImage.HasFile)
            {
                FileUploadImage.SaveAs(Server.MapPath("~/pictures/" + str));
            }
            string fpth = "~/pictures/" + str;
            product.Image = fpth;
            product.Company = TxtCompany.Text;
            product.DateOfManufactur = Convert.ToString(GMDatePicker1.DateString);
            product.SupplierName = str1.ToString();
            product.QOH = int.Parse(txtQoh.Text.Trim());
            product.Feature = txtFeature.Text.Trim();
            product.Warranty = int.Parse(txtWaranty.Text.Trim());
            product.UpdateProducts();
            lblMessage.Text = "Updated Successfully...!";
            BindGridview();
        }
        catch (Exception)
        {
            
            throw;
        }
    }
}
