using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class frmUserRegistration : System.Web.UI.Page
{
    clsNewRegistration obj = new clsNewRegistration();
    clsBindLocation objCommon = new clsBindLocation();
    string str;

    protected void Page_Load(object sender, EventArgs e)
    {
        str = Convert.ToString(Session["a"]);

        if (!IsPostBack)
        {
            BindCountry();
            BindState();
            BindCity();
        }
    }
    protected void btn_SaveNewRegistorDetails_Click(object sender, EventArgs e)
    {
        obj.Username = txt_username.Text;
        obj.Password = txt_password.Text;
        obj.Category = str.ToString();
        obj.Confirmpassword = reconfirmpassword.Text;
        obj.Firstname = txt_Fristname.Text;
        obj.Lastname = txt_LastName.Text;
        obj.Gender = drop_gender.Text;
        obj.Mobile = txt_MobileNo.Text;
        obj.Contactno = txt_ContactNo.Text;
        obj.Emailid = txt_Email.Text;
        obj.Country = ddlCountryName.SelectedItem.Value;
        obj.State = ddlStateName.SelectedItem.Value;
        obj.City = ddlCityName.SelectedItem.Value;
        obj.Tempaddress = txt_TempAddress.Text;
        obj.Permaddress = txt_PermAddress.Text;
        obj.Pincode = txt_PinCode.Text;
        
        //Check The Whether User is Duplicate or Not

        if (obj.CheckExistUser().Tables[0].Rows.Count == 0)
        {
            obj.InsertIntoLoginTbl();
            obj.InsertIntoPersDetailsTbl();
            obj.InsertIntoAddressDetailsTbl();
        }
        else
        {
            lblError.Text = "User Already Exist ! Select other Name";
            return;
        }
        Session["b"] = txt_username.Text;
        Response.Redirect("~/frmNewUserWelcomePage.aspx");
    }
    protected void cancel_btn_click(object sender, EventArgs e)
    {
        foreach (Control x in Page.Form.Controls)
        {
            if (x is TextBox)
            {
                ((TextBox)x).Text = "";
            }
        }
    }

    void BindCountry()
    {
        DataSet dsCountry = objCommon.GetCountryName();
        ddlCountryName.DataSource = dsCountry.Tables[0];
        ddlCountryName.DataTextField = "CountryName";
        ddlCountryName.DataValueField = "CountryId";
        ddlCountryName.DataBind();
        ddlCountryName.Items.Insert(0, "Select");
    }
    void BindState()
    {
        DataSet dsState = objCommon.GetStateName();
        ddlStateName.DataSource = dsState.Tables[0];
        ddlStateName.DataTextField = "StateName";
        ddlStateName.DataValueField = "StateId";
        ddlStateName.DataBind();
        ddlStateName.Items.Insert(0, "Select");

    }
    void BindCity()
    {
        DataSet dsCity = objCommon.GetCityName();
        ddlCityName.DataSource = dsCity.Tables[0];
        ddlCityName.DataTextField = "CityName";
        ddlCityName.DataValueField = "CityId";
        ddlCityName.DataBind();
        ddlCityName.Items.Insert(0, "Select");
    }

    protected void ddlCountryName_SelectedIndexChanged(object sender, EventArgs e)
    {
        objCommon.pro_CountryId = Convert.ToInt32(ddlCountryName.SelectedItem.Value);
        BindState();
    }
    protected void ddlStateName_SelectedIndexChanged(object sender, EventArgs e)
    {
        objCommon.pro_StateId = Convert.ToInt32(ddlStateName.SelectedItem.Value);
        BindCity();
    }
    protected void ddlCityName_SelectedIndexChanged(object sender, EventArgs e)
    {

    }

   
}
