using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class admin_AddNewProducts : System.Web.UI.Page
{
    string str,str1;
    clsAddNewProducts obj = new clsAddNewProducts();

    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["customerId"] == null)
        {
            Response.Redirect("~/Admin/frmAdminLogin.aspx");
        }
    }
    protected void BtnSave_Click(object sender, EventArgs e)
    {
        try
        {
            str1 = Session["CustomerName"].ToString();
            str = FileUploadImage.FileName;
            if (FileUploadImage.HasFile)
            {
                FileUploadImage.SaveAs(Server.MapPath("~/pictures/" + str));
            }
            string fpth = "~/pictures/" + str;
            obj.ProductName = TxtProductName.Text;
            obj.SupplierName = str1.ToString();
            obj.Cost = Convert.ToString(TxtCost.Text);
            obj.Discount = TxtDiscount.Text;
            obj.Image = fpth;
            obj.Company = TxtCompany.Text;
            obj.DateOfManufactur = Convert.ToString(GMDatePicker1.DateString);
            obj.QOH = int.Parse(txtQoh.Text.Trim());
            obj.Feature = txtFeature.Text.Trim();
            obj.Warranty = int.Parse(txtWarranty.Text.Trim());
            int i = obj.InsertIntoProducts();
            if (i > 0)
            {
                TxtCompany.Text = "";
                TxtCost.Text = "";
                TxtDiscount.Text = "";
                TxtProductName.Text = "";
                GMDatePicker1.DateString  = null;
                lbl_AddproductMessege.Visible = true;
                txtFeature.Text = "";
                txtQoh.Text = "";
                txtWarranty.Text = "";
            }
        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }       
    }
}
