using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class admin_BillDetails : System.Web.UI.Page
{
    ClsBillDetails obj = new ClsBillDetails();
    ClsShippingDetails objship = new ClsShippingDetails();

    protected void Page_Load(object sender, EventArgs e)
    {        
        if (Session["customerId"] == null)
        {
            Response.Redirect("~/Admin/frmAdminLogin.aspx");
        }
        calldata();
    }

    public void calldata()
    {
        try
        {
            lbl_custID.Text = Session["CustomerID"].ToString();
            lbl_custName.Text = Session["CustomerName"].ToString();
            lbl_prodID.Text = Session["ProductID"].ToString();
            lbl_prodName.Text = Session["ProductName"].ToString();
            lbl_suplName.Text = Session["SupplyerName"].ToString();
            lbl_transportcharges.Text = Session["TransportCharges"].ToString();
            lbl_unitPrice.Text = Session["PricePerUnit"].ToString();
            lbl_units.Text = Session["NoOfUnits"].ToString();
            lbl_othercharges.Text = Session["OtherCharges"].ToString();
            lbl_discount.Text = Session["DiscountPercent"].ToString();
        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }

    protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            if (DropDownList1.Text == "Ship")
            {
                Panel1.Visible = true;
                Panel2.Visible = false;
            }
            else if (DropDownList1.Text == "AirWays")
            {
                Panel2.Visible = true;
                Panel1.Visible = false;
            }
            else if (DropDownList1.Text == "Road")
            {
                Panel2.Visible = true;
                Panel1.Visible = false;
            }
            else 
            {
                Panel1.Visible = true;
                Panel2.Visible = true;
            }
        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }
    protected void btn_BillInsert_Click(object sender, EventArgs e)
    {
        try
        {
            obj.CustomerId = int.Parse(lbl_custID.Text);
            obj.CustomerName = lbl_custName.Text;
            obj.ProductID = int.Parse(lbl_prodID.Text);
            obj.ProductName = lbl_prodName.Text;
            obj.SupplierName = lbl_suplName.Text;
            obj.TransportationCharges = Convert.ToDecimal(lbl_transportcharges.Text);
            obj.UnitPrice = Convert.ToDecimal(lbl_unitPrice.Text);
            obj.NoOfUnits = int.Parse(lbl_units.Text);
            obj.Warranty = txt_warranty.Text;
            obj.Transportmode = DropDownList1.Text;
            obj.DiscountPrice = decimal.Parse(lbl_discount.Text);
            obj.Deliverydate = Convert.ToDateTime(GMDatePicker1.DateString);
            obj.MaterialExpenses = Convert.ToDecimal(lbl_othercharges.Text);
            obj.insertintoBillDetailTbl();
            obj.InvoiceID = Session["InvoiceNo"].ToString();
            obj.FinalUpdationOfInvoice();
            if (DropDownList1.Text == "Ship")
            {
                //objship.ShipBillNo = int.Parse(txt_ShipBillNo.Text);
                // objship.ShipBillDate = Convert.ToDateTime(txt_ShipBillDate.Text);            
                objship.ShipBillDate = Convert.ToDateTime(GMDatePicker2.DateString);
                objship.VesselName = txt_VesselName.Text;
                objship.NameOfPort = txt_NameOfPort.Text;
                objship.FinalDestination = txt_FinalDestination.Text;
                objship.PortOfDischarge = txt_PortOfDischarge.Text;
                objship.DateOfDispatch = Convert.ToDateTime(GMDatePicker3.DateString);
                objship.DateOfArrival = Convert.ToDateTime(GMDatePicker4.DateString);
                objship.CustID = int.Parse(lbl_custID.Text);
                objship.InsertIntoShipBillTbl();
            }
            if (DropDownList1.Text == "AirWays")
            {
                //objship.ShipBillNo = int.Parse(txtBillNo.Text);
                // objship.ShipBillDate = Convert.ToDateTime(txt_ShipBillDate.Text);            
                objship.ShipBillDate = Convert.ToDateTime(GMDatePicker5.DateString);
                objship.VesselName = txtPlace.Text;
                objship.NameOfPort = txtDest.Text;
                objship.FinalDestination = txtDist.Text;
                objship.DateOfDispatch = Convert.ToDateTime(GMDatePicker6.DateString);
                objship.DateOfArrival = Convert.ToDateTime(GMDatePicker7.DateString);
                objship.CustID = int.Parse(lbl_custID.Text);
                objship.InsertIntoRoadBillTbl();
            }
            if (DropDownList1.Text == "Road")
            {
                //objship.ShipBillNo = int.Parse(txtBillNo.Text);
                // objship.ShipBillDate = Convert.ToDateTime(txt_ShipBillDate.Text);            
                objship.ShipBillDate = Convert.ToDateTime(GMDatePicker5.DateString);
                objship.VesselName = txtPlace.Text;
                objship.NameOfPort = txtDest.Text;
                objship.FinalDestination = txtDist.Text;
                objship.DateOfDispatch = Convert.ToDateTime(GMDatePicker6.DateString);
                objship.DateOfArrival = Convert.ToDateTime(GMDatePicker7.DateString);
                objship.CustID = int.Parse(lbl_custID.Text);
                objship.InsertIntoRoadBillTbl();
            }
            
            //lblMessage.Text = "You have Send the Data";
            Response.Redirect("~/Admin/frmMessege.aspx");        
        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }
    protected void txt_VesselName_TextChanged(object sender, EventArgs e)
    {

    }
}
