using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Microsoft.ApplicationBlocks.Data;


public partial class admin_Product : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["customerId"] == null)
        {
            Response.Redirect("~/Admin/frmAdminLogin.aspx");
        }
        if (!IsPostBack)
        {
            BindData();
        }
    }
  
    protected void GridView1_RowEditing(object sender, GridViewEditEventArgs e)
    {
        GridView1.EditIndex = e.NewEditIndex;
        BindData();
    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        int i = e.RowIndex;
        Label l1;
        TextBox txtProductName, txtCost, txtDiscount, txtCompany, txtDOM, txtImage, txtSupplierName,txtQoh,txtFeature;
        l1 = (Label)GridView1.Rows[i].FindControl("LblProductId");
        txtProductName = (TextBox)GridView1.Rows[i].FindControl("TxtProductName");
        txtSupplierName = (TextBox)GridView1.Rows[i].FindControl("TxtSupplierName");
        txtCost = (TextBox)GridView1.Rows[i].FindControl("TxtCost");
        txtDiscount = (TextBox)GridView1.Rows[i].FindControl("TxtDiscount");
        txtCompany = (TextBox)GridView1.Rows[i].FindControl("TxtCompany");
        txtDOM = (TextBox)GridView1.Rows[i].FindControl("TxtDateOfManufacture");
        txtImage = (TextBox)GridView1.Rows[i].FindControl("TxtImage");
        txtQoh = (TextBox)GridView1.Rows[i].FindControl("TxtQOH");
        txtFeature = (TextBox)GridView1.Rows[i].FindControl("TxtFeature");
        int id = (int.Parse)(l1.Text);
        string s1, s2;
        s1 = txtProductName.Text;
        s2 = txtDOM.Text;
        string sqlstmt = "update tblProducts set ProductName=' " + txtProductName.Text.ToString() + "', SupplierName='" + txtSupplierName.Text.ToString() + "', Cost=" + Convert.ToDecimal(txtCost.Text.ToString()) + ", Discount='" + txtDiscount.Text.ToString() + "', Company='" + txtCompany.Text.ToString() + "', DateOfManufacture='" + txtDOM.Text.ToString() + "', Image='" + txtImage.Text.ToString() + "' ,qoh=" + int.Parse(txtQoh.Text) +" ,feature='" +txtFeature.Text +"' where ProductId=" + Convert.ToInt16(l1.Text.ToString());
        SqlHelper.ExecuteNonQuery(clsConnection.con , CommandType.Text, sqlstmt);
        GridView1.EditIndex = -1;
        BindData();
    }
    protected void GridView1_RowCancelingEdit(object sender, GridViewCancelEditEventArgs e)
    {
        GridView1.EditIndex = -1;
        BindData();
    }

    public void BindData()
    {
        ClsGetProductDetails obj = new ClsGetProductDetails();
        GridView1.DataSource = obj.GetProductDetails();
        GridView1.DataBind();
    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        int iid = 0;
        int i = e.RowIndex;
        Label l1;
        l1 = (Label)GridView1.Rows[i].FindControl("LblProductId");
        iid = (int.Parse)(l1.Text);
        string sqlstmt = "delete from tblProducts where ProductId=" + iid;
        SqlHelper.ExecuteNonQuery(clsConnection.con , CommandType.Text, sqlstmt);
        GridView1.EditIndex = -1;
        BindData();
    }

    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        BindData();
    }
   
}
