using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using Microsoft.ApplicationBlocks.Data;

/// <summary>
/// Summary description for ClsBillDetails
/// </summary>
public class ClsBillDetails:clsConnection 
{
    private string _CustomerName, _SupplierName, _ProductName, _Warranty, _transportmode;

   
    public string Transportmode
    {
        get { return _transportmode; }
        set { _transportmode = value; }
    }

    public string Warranty
    {
        get { return _Warranty; }
        set { _Warranty = value; }
    }

    public string ProductName
    {
        get { return _ProductName; }
        set { _ProductName = value; }
    }

    public string SupplierName
    {
        get { return _SupplierName; }
        set { _SupplierName = value; }
    }

    public string CustomerName
    {
        get { return _CustomerName; }
        set { _CustomerName = value; }
    }
    private int _CustomerId, _ProductID, _NoOfUnits;

    public int NoOfUnits
    {
        get { return _NoOfUnits; }
        set { _NoOfUnits = value; }
    }

    public int ProductID
    {
        get { return _ProductID; }
        set { _ProductID = value; }
    }

    public int CustomerId
    {
        get { return _CustomerId; }
        set { _CustomerId = value; }
    }
    private decimal _UnitPrice, _DiscountPrice, _MaterialExpenses, _TransportationCharges;
   
    public decimal TransportationCharges
    {
        get { return _TransportationCharges; }
        set { _TransportationCharges = value; }
    }

    public decimal MaterialExpenses
    {
        get { return _MaterialExpenses; }
        set { _MaterialExpenses = value; }
    }

    public decimal DiscountPrice
    {
        get { return _DiscountPrice; }
        set { _DiscountPrice = value; }
    }

    public decimal UnitPrice
    {
        get { return _UnitPrice; }
        set { _UnitPrice = value; }
    }
    private DateTime _Deliverydate;

    public DateTime Deliverydate
    {
        get { return _Deliverydate; }
        set { _Deliverydate = value; }
    }

    private string _invoiceID;

    public string InvoiceID
    {
        get { return _invoiceID; }
        set { _invoiceID = value; }
    }


    public void insertintoBillDetailTbl()
    {
        SqlParameter[] p = new SqlParameter[13];
        p[0] = new SqlParameter("@CustomerId", CustomerId);
        p[0].DbType = DbType.Int16;
        p[0].Direction = ParameterDirection.Input;
        p[1] = new SqlParameter("@CustomerName",CustomerName);
        p[1].DbType = DbType.String;
        p[1].Direction = ParameterDirection.Input;
        p[2] = new SqlParameter("@SupplierName",SupplierName);
        p[2].DbType = DbType.String;
        p[2].Direction = ParameterDirection.Input;
        p[3] = new SqlParameter("@ProductID",ProductID);
        p[3].DbType = DbType.Int16;
        p[3].Direction = ParameterDirection.Input;
        p[4] = new SqlParameter("@ProductName",ProductName);
        p[4].DbType = DbType.String;
        p[4].Direction = ParameterDirection.Input;
        p[5] = new SqlParameter("@NoOfUnits",NoOfUnits);
        p[5].DbType = DbType.Int16;
        p[5].Direction = ParameterDirection.Input;
        p[6] = new SqlParameter("@UnitPrice",UnitPrice);
        p[6].DbType = DbType.Decimal;
        p[6].Direction = ParameterDirection.Input;
        p[7] = new SqlParameter("@DiscountPrice",DiscountPrice);
        p[7].DbType = DbType.Decimal;
        p[7].Direction = ParameterDirection.Input;
        p[8] = new SqlParameter("@TransportCharces",TransportationCharges);
        p[8].DbType = DbType.Decimal;
        p[8].Direction = ParameterDirection.Input;
        p[9] = new SqlParameter("@MaterialExpenses",_MaterialExpenses);
        p[9].DbType = DbType.Decimal;
        p[9].Direction = ParameterDirection.Input;
        p[10] = new SqlParameter("@Warranty",Warranty);
        p[10].DbType = DbType.String;
        p[10].Direction = ParameterDirection.Input;
        p[11] = new SqlParameter("@Deliverydate",Deliverydate);
        p[11].DbType = DbType.DateTime;
        p[11].Direction = ParameterDirection.Input;
        p[12] = new SqlParameter("@transportmode",_transportmode);
        p[12].DbType = DbType.String;
        p[12].Direction = ParameterDirection.Input;

        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_InsertIntoBillDetails", p);            

    }

    public void FinalUpdationOfInvoice()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@invoiceID", _invoiceID);
        p[0].DbType = DbType.Int16;
        p[0].Direction = ParameterDirection.Input;

        //p[1] = new SqlParameter("@CustomerId", CustomerId);
        //p[1].DbType = DbType.Int16;
        //p[1].Direction = ParameterDirection.Input;

        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "sp_finalUpdationOfInvoiceflag", p);


    }
	public ClsBillDetails()
	{
		//
		// TODO: Add constructor logic here
		//
	}
}
