using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Microsoft.ApplicationBlocks.Data;
using System.Collections;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using System.Web.UI.WebControls.WebParts;

/// <summary>
/// Summary description for ClsInvoiceBusiness
/// </summary>
public class ClsInvoiceBusiness : clsConnection
{
    private int _OrderId, _CustomerId, _ProductId, _Units;
    private string _CustomerName, _SupplierName, _ProductName, _CompanyName, _Amuont, _PinNo;

    public string PinNo
    {
        get { return _PinNo; }
        set { _PinNo = value; }
    }
    private decimal _TransportAmt, _othercharges, _PricePerUnit, _Discount;
    private DateTime _InvoiceDate;

    public ClsInvoiceBusiness()
    {
        //
        // TODO: Add constructor logic here
        //
    }
    public int OrderId
    {
        get { return _OrderId; }
        set { _OrderId = value; }
    }
    public int CustomerId
    {
        get { return _CustomerId; }
        set { _CustomerId = value; }
    }
    public string CustomerName
    {
        get { return _CustomerName; }
        set { _CustomerName = value; }
    }
    public string SupplierName
    {
        get { return _SupplierName; }
        set { _SupplierName = value; }
    }
    public int ProductId
    {
        get { return _ProductId; }
        set { _ProductId = value; }
    }
    public string ProductName
    {
        get { return _ProductName; }
        set { _ProductName = value; }
    }
    public string CompanyName
    {
        get { return _CompanyName; }
        set { _CompanyName = value; }
    }
    public int Units
    {
        get { return _Units; }
        set { _Units = value; }
    }
    public decimal PricePerUnit
    {
        get { return _PricePerUnit; }
        set { _PricePerUnit = value; }
    }
    public decimal TransportAmt
    {
        get { return _TransportAmt; }
        set { _TransportAmt = value; }
    }

    public decimal Discount
    {
        get { return _Discount; }
        set { _Discount = value; }
    }

    public string Amuont
    {
        get { return _Amuont; }
        set { _Amuont = value; }
    }

    public DateTime InvoiceDate
    {
        get { return _InvoiceDate; }
        set { _InvoiceDate = value; }
    }

    public decimal Othercharges
    {
        get { return _othercharges; }
        set { _othercharges = value; }
    }
    private string _bank;

    public string Bank
    {
        get { return _bank; }
        set { _bank = value; }
    }
    private string _paymode;

    public string Paymode
    {
        get { return _paymode; }
        set { _paymode = value; }
    }

    private DateTime _checkdate;

    public DateTime Checkdate
    {
        get { return _checkdate; }
        set { _checkdate = value; }
    }
    private DateTime _submitdate;

    public DateTime Submitdate
    {
        get { return _submitdate; }
        set { _submitdate = value; }
    }
    private string country;

    public string Country
    {
        get { return country; }
        set { country = value; }
    }
    private string currency;

    public string Currency
    {
        get { return currency; }
        set { currency = value; }
    }
    private string _checkno;
    public string Checkno
    {
        get { return _checkno; }
        set { _checkno = value; }
    }

    private int _invoiceID;

    public int InvoiceID
    {
        get { return _invoiceID; }
        set { _invoiceID = value; }
    }

    public DataSet BindDatainDDL()
    {
        string strSql = string.Empty;
        strSql += "select Name, SupplierId from tblSuppliers";
        DataSet dsTemp;
        dsTemp = SqlHelper.ExecuteDataset(con, CommandType.Text, strSql);
        return dsTemp;
    }

    public void InsertIntoInvoice()
    {
        SqlParameter[] p = new SqlParameter[13];

        p[0] = new SqlParameter("@orderid", this._OrderId);
        p[0].DbType = DbType.Int16;
        p[0].Direction = ParameterDirection.Input;

        p[1] = new SqlParameter("@customerid", this._CustomerId);
        p[1].DbType = DbType.Int16;
        p[1].Direction = ParameterDirection.Input;

        p[2] = new SqlParameter("@customername", this._CustomerName);
        p[2].DbType = DbType.String;
        p[2].Direction = ParameterDirection.Input;

        p[3] = new SqlParameter("@suplayarname", this._SupplierName);
        p[3].DbType = DbType.String;
        p[3].Direction = ParameterDirection.Input;

        p[4] = new SqlParameter("@productid", this._ProductId);
        p[4].DbType = DbType.Int16;
        p[4].Direction = ParameterDirection.Input;

        p[5] = new SqlParameter("@productname", this._ProductName);
        p[5].DbType = DbType.String;
        p[5].Direction = ParameterDirection.Input;

        p[6] = new SqlParameter("@companyname", this._CompanyName);
        p[6].DbType = DbType.String;
        p[6].Direction = ParameterDirection.Input;

        p[7] = new SqlParameter("@units", this._Units);
        p[7].DbType = DbType.Int16;
        p[7].Direction = ParameterDirection.Input;

        p[8] = new SqlParameter("priceperunit", this._PricePerUnit);
        p[8].DbType = DbType.Decimal;
        p[8].Direction = ParameterDirection.Input;

        p[9] = new SqlParameter("@discount", this._Discount);
        p[9].DbType = DbType.Decimal;
        p[9].Direction = ParameterDirection.Input;

        p[10] = new SqlParameter("@transportcharges", this._TransportAmt);
        p[10].DbType = DbType.Decimal;
        p[10].Direction = ParameterDirection.Input;

        p[11] = new SqlParameter("@othercharges", this._othercharges);
        p[11].DbType = DbType.Decimal;
        p[11].Direction = ParameterDirection.Input;

        p[12] = new SqlParameter("@invoicedate", this._InvoiceDate);
        p[12].DbType = DbType.DateTime;
        p[12].Direction = ParameterDirection.Input;

        DALActions.RunSqlCommmand(con, "sp_InsertIntoInvoiceTbl", p);

    }
    public void ToUpdatePaymentFlag()
    {
        SqlParameter[] p = new SqlParameter[13];

        p[0] = new SqlParameter("@orderid", this._OrderId);
        p[0].DbType = DbType.Int16;
        p[0].Direction = ParameterDirection.Input;

        DALActions.RunSqlCommmand(con, "sp_ToUpdatePaymentTblFlag", p);
    }

    public DataSet ToGetInvoice()
    {
        //DataSet ds=new DataSet();

        SqlParameter[] p;
        p = new SqlParameter[1];

        p[0] = new SqlParameter("@customerID", this._CustomerId);
        p[0].DbType = DbType.Int16;
        p[0].Direction = ParameterDirection.Input;

        return SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "sp_ToGetInvoice", p);

    }
    public void ToUpdateInvoceTbl()
    {
        //DataSet ds=new DataSet();
        SqlParameter[] p;
        p = new SqlParameter[2];

        p[0] = new SqlParameter("@customerID", this._CustomerId);
        p[0].DbType = DbType.Int16;
        p[0].Direction = ParameterDirection.Input;

        p[1] = new SqlParameter("@invoiceID", this._invoiceID);
        p[1].DbType = DbType.Int16;
        p[1].Direction = ParameterDirection.Input;

        DALActions.RunSqlCommmand(con, "sp_UpdateInvoice", p);
    }
    public void ToinsertIntoPaymentTbl()
    {
        SqlParameter[] p = new SqlParameter[10];
        
        p[0] = new SqlParameter("@customerid", this._CustomerId);
        p[0].DbType = DbType.Int16;
        p[0].Direction = ParameterDirection.Input;

        p[1] = new SqlParameter("@customername", this._CustomerName);
        p[1].DbType = DbType.String;
        p[1].Direction = ParameterDirection.Input;

        p[2] = new SqlParameter("@country", this.country);
        p[2].DbType = DbType.String;
        p[2].Direction = ParameterDirection.Input;
        
        p[3] = new SqlParameter("@currency", this.currency);
        p[3].DbType = DbType.String;
        p[3].Direction = ParameterDirection.Input;

        p[4] = new SqlParameter("@paymode", this._paymode);
        p[4].DbType = DbType.String;
        p[4].Direction = ParameterDirection.Input;

        p[5] = new SqlParameter("@bank", this._paymode);
        p[5].DbType = DbType.String;
        p[5].Direction = ParameterDirection.Input;
        
        p[6] = new SqlParameter("@ammount", this._Amuont);
        p[6].DbType = DbType.String;
        p[6].Direction = ParameterDirection.Input;

        p[7] = new SqlParameter("@checkno", this._checkno);
        p[7].DbType = DbType.String;
        p[7].Direction = ParameterDirection.Input;

        //p[8] = new SqlParameter("@PinNo", this._PinNo);
        //p[8].DbType = DbType.String;
        //p[8].Direction = ParameterDirection.Input;

        p[8] = new SqlParameter("@checkdate", this._checkdate);
        p[8].DbType = DbType.DateTime;
        p[8].Direction = ParameterDirection.Input;

        p[9] = new SqlParameter("@submitdate", this._submitdate);
        p[9].DbType = DbType.DateTime;
        p[9].Direction = ParameterDirection.Input;
        
        DALActions.RunSqlCommmand(con, "sp_InsertIntoPaymentTbl", p);
    }
    public bool GetOrderDetailForCustomer(int customerid, DateTime date)
    {
        int count;
        string str = "select count(*) from tblorder where customerid=" + customerid + " and  orderdate='" + date + "' and flag=1";
        count=int.Parse(SqlHelper.ExecuteScalar(con,CommandType.Text,str).ToString());
        if (count > 0)
        {
            return true;
        }
        else
        {
            return false;
        }
    }
}
