using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class customer_Invoice : System.Web.UI.Page
{
    ClsInvoiceBusiness obj = new ClsInvoiceBusiness();
    string custID;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["customerId"] == null)
        {
            Response.Redirect("~/Customer/frmCustomerLogin.aspx");
        }
        calldata();  
    }

    public void calldata()
    {
        try
        {
            DataSet ds = new DataSet();
            custID = Session["customerId"].ToString();
            obj.CustomerId = Convert.ToInt16(custID);
            ds = obj.ToGetInvoice();

            if (ds.Tables[0].Rows.Count > 0)
            {
                Session["InvoiceID"] = ds.Tables[0].Rows[0][0];
                DetailsView1.DataSource = ds.Tables[0];
                DetailsView1.DataBind();
                //LinkButton1.Visible = true;
            }
            else
            {
                LinkButton1.Visible = false;
                LinkButton2.Visible = true;
            }
        }
        catch(Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }
    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        try
        {
            Session["customerId"] = Session["customerId"].ToString();
            Response.Redirect("~/Customer/frmPaymentPage.aspx");
        }         
        catch(Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }
    protected void LinkButton2_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/Customer/frmProducts.aspx");
    }
}
