using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class customer_OrderPage : System.Web.UI.Page
{
    clsOrderFormBusiClass obj = new clsOrderFormBusiClass();

    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["customerId"] == null)
        {
            Response.Redirect("~/Customer/frmCustomerLogin.aspx");
        }
        if (!IsPostBack)
        {
            calldata();
            DataSet ds = new DataSet();
            ds = obj.ShowQuantity(int.Parse(Session["PId"].ToString()));
            lblQOH.Text = ds.Tables[0].Rows[0][0].ToString();
        }
        
    }

    public void calldata()
    {
        try
        {
            lbl_customerid.Text = ((string)Session["customerId"]);
            lbl_customerName.Text = ((string)Session["CustomerName"]);
            lbl_Orderdate.Text = Convert.ToString(DateTime.Now);
            //lbl_Orderformid.Text = Convert.ToString( obj.ToGetOrderFormId());
            //ArrayList ar = new ArrayList();
            //ar = ((ArrayList)Session["ProDetails"]);

            lbl_Productname.Text = Session["PName"].ToString();//ar[0].ToString();
            lbl_prodId.Text = Session["PId"].ToString();//ar[1].ToString();
            lbl_Company.Text = Session["CName"].ToString();//ar[5].ToString();
            //lbl_cost.Text = ar[2].ToString();
            //lbl_discount.Text = ar[3].ToString();
        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }
    protected void Btn_sendOrder_Click(object sender, EventArgs e)
    {
        try
        {
            RangeValidator1.Validate();

            obj.Customerid = lbl_customerid.Text;
            obj.Customername = lbl_customerName.Text;
            obj.Productid = Convert.ToInt16(lbl_prodId.Text);
            obj.Productname = lbl_Productname.Text;
            obj.Companyname = lbl_Company.Text;
            if (RangeValidator1.IsValid)
            {
                obj.Quantity = Convert.ToInt16(txt_OrderUnits.Text);
            }
            else
            {
                Response.Write("<script>alert('"+ RangeValidator1.ErrorMessage.ToString() +"')<script>");
            }
            obj.Message = txt_message.Text;
            obj.Orderdate =System.DateTime.Now.Date;
           
            if (int.Parse(lblQOH.Text) < 100)
            {
                lblMessage.Text = "No Stock Available U Can't Place an Order...!";
                return;
            }
            else
            {
                obj.InsertIntoOrderFormTbl();
                int Qoh = int.Parse(lblQOH.Text) - int.Parse(txt_OrderUnits.Text);
                obj.UpdateQuantity(int.Parse(Session["PID"].ToString()), Qoh);
                Response.Redirect("~/Customer/frmOrderConformationPage.aspx");
            }
            

        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/Customer/frmProductComplateDetails.aspx");
    }
}
