using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;


public partial class customer_PaymentPage : System.Web.UI.Page
{
    SqlConnection con; SqlDataAdapter da; DataSet ds; SqlCommand cmd;
    ClsInvoiceBusiness obj = new ClsInvoiceBusiness();

    protected void Page_Load(object sender, EventArgs e)
    {
        
        con = new SqlConnection(ConfigurationManager.AppSettings["ConStr"]);
        if (Session["customerId"] == null)
        {
            Response.Redirect("~/Customer/frmCustomerLogin.aspx");
        }
        lbl_customerID.Text = Session["customerId"].ToString();
        txt_customerName.Text = Session["CustomerName"].ToString();
        lbl_submitdate.Text =DateTime.Now.ToShortDateString();
        if (Page.IsPostBack == false)
        {
            lbl_currency.Text = "";
            da = new SqlDataAdapter("Select CountryName from tbl_Country", con);
            ds = new DataSet();
            da.Fill(ds, "country");
            if (ds.Tables["country"].Rows.Count > 0)
            {
                DropDownList2.DataSource = ds.Tables["country"];
                DropDownList2.DataTextField = "CountryName";
                DropDownList2.DataValueField = "CountryName";
                DropDownList2.DataBind();
                DropDownList2.Items.Insert(0, "Select");
            }

            cmd = new SqlCommand("Select * from tblInvoiceDetails where CustomerName='" + Session["CustomerName"].ToString() + "'and InvoiceNo=" + Session["InvoiceID"], con);
            cmd.CommandType = CommandType.Text;
            SqlDataReader dr;
            con.Open();
            dr = cmd.ExecuteReader();
            if (dr.Read() == true)
            {
                txt_amount.Text = dr[14].ToString();
            }
            dr.Close();
            con.Close();
        }
       
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        try
        {
            //obj.CustomerId =Convert.ToInt16(Session["customerId"]);
            obj.CustomerId = Convert.ToInt16(lbl_customerID.Text);
            obj.CustomerName = txt_customerName.Text;
            obj.Country = DropDownList2.Text;
            obj.Currency = lbl_currency.Text;
            obj.Paymode = DropDownList1.Text;
            //if (DropDownList1.SelectedIndex == 2)
            //{
            //    lblPinNo.Visible = true;
            //    txtPinNo.Visible = true;
            //    obj.PinNo = txtPinNo.Text;
            //}
            obj.Amuont = txt_amount.Text;
            obj.Bank = txt_bank.Text;
            obj.Checkno = txt_ddno.Text;
            obj.Checkdate = Convert.ToDateTime(GMDatePicker1.DateString);
            obj.Submitdate = Convert.ToDateTime(lbl_submitdate.Text);
            obj.InvoiceID = Convert.ToInt16(Session["InvoiceID"]);
            obj.ToinsertIntoPaymentTbl();
            obj.ToUpdateInvoceTbl();
            lblMessage.Text = "You have Successfully Sended the Bill";
            //Response.Redirect("~/customer/frmThankyouPage.aspx");
        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }
   

    protected void DropDownList2_SelectedIndexChanged1(object sender, EventArgs e)
    {
        lbl_currency.Text = "";
        try
        {

            cmd = new SqlCommand("Select * from currency where country='" + DropDownList2.SelectedItem.Text.ToString() + "'", con);
            cmd.CommandType = CommandType.Text;
            SqlDataReader dr;
            con.Open();
            dr = cmd.ExecuteReader();
            if (dr.Read() == true)
            {
                lbl_currency.Text = dr[1].ToString();
            }
            dr.Close();
            con.Close();
        }
        catch (Exception ex)
        {
            lblMessage.Text = ex.Message;
        }
    }
}
